package com.ajb.car.entity.quotation;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
  报价车辆
*/

@Entity
@Table(name="ag_po_quotation_vehicle")
public class AgPoQuotationVehicle implements java.io.Serializable {

private static final long serialVersionUID = 1L;

	// 编号id
	private Long id;

	// 车牌号
	private String carName;

	// 车牌号
	private String plateNo;

	// 发动机号
	private String engineNo;

	// VIN编号
	private String vinNo;

	// 车架号
	private String frameNumber;

	// 品牌ID
	private Long brandId;

	// 品牌
	private String brand;

	// 品牌
	private String brandCode;

	// 品牌制造商Id
	private Long brandmakeId;

	// 品牌制造商
	private String brandmake;

	// 品牌型号id
	private Long brandmakeModelId;

	// 品牌型号
	private String brandmakeModel;

	// 车辆名称/品牌
	private String vehicleBrand;

	// 车辆名称/品牌
	private String manufacturer;

	// 车辆名称/品牌
	private String modelCharacterNumber;

	// 车辆名称/品牌
	private String modelIdCode;

	// 车辆名称/品牌
	private String modelNumber;

	// 车辆名称/品牌 
	private String vehicleName;

	// 车辆名称/品牌 代码
	private String vehicleCode;

	// 行业编码
	private String industryVehicleCode;

	// 所属性质ag_md_vehicle_dictionary表Ownership Type
	private Long ownershipTypeId;

	// 所属性质ag_md_vehicle_dictionary表Ownership Type
	private String ownershipType;

	// 所属性质ag_md_vehicle_dictionary表Ownership Type
	private String owner;

	// 国际
	private String ownerNature;

	// 所属性质ag_md_vehicle_dictionary表Ownership Type
	private String ownerCertiType;

	// 证件号
	private String ownerCertiCode;

	// 机动车种类ag_md_vehicle_dictionary表
	private Long vehicleCategoryId;

	// 机动车种类ag_md_vehicle_dictionary表
	private String vehicleCategory;

	// 车辆用途
	private String vehicleUseType;

	// 驾驶区域ag_md_vehicle_dictionary表
	private Long driveAreaId;

	// 驾驶区域ag_md_vehicle_dictionary表
	private String driveArea;

	// 车牌类型ag_md_vehicle_dictionary表
	private Long licenseTypeId;

	private String licenseType;

	// 车辆种类ag_md_vehicle_dictionary表
	private Long vehicleTypeId;

	// 车辆类型见ag_md_vehicle_dictionary表
	private Long pmVehicleTypeId;

	// 车辆类型见ag_md_vehicle_dictionary表
	private String pmVehicleType;

	// 车牌底色ag_md_vehicle_dictionary表
	private Long plateColorId;

	// 车牌底色ag_md_vehicle_dictionary表
	private String plateColor;

	// 平台品牌
	private String platformBrand;

	// 平台型号编码
	private String platformModelCode;

	// 燃料类型ag_md_vehicle_dictionary表
	private Long fuelTypeId;

	// 燃料类型
	private String fuelType;

	// 车辆来历凭证种类ag_md_vehicle_dictionary表
	private Long originCertiTypeId;

	// 车辆来历凭证种类ag_md_vehicle_dictionary表
	private String originCertiType;

	// 使用性质ag_md_vehicle_dictionary表
	private Long businessTypeId;

	// 使用性质ag_md_vehicle_dictionary表
	private String businessType;

	// 纳税人类型ag_md_vehicle_dictionary表
	private Long taxPlayerTypeId;

	// 纳税人类型ag_md_vehicle_dictionary表
	private String taxPlayerType;

	// 减免税方案ag_md_vehicle_dictionary表
	private Long derateTypeId;

	// 减免税方案ag_md_vehicle_dictionary表
	private String derateType;

	// 完税状态ag_md_vehicle_dictionary表
	private Long taxFlagId;

	// 完税状态ag_md_vehicle_dictionary表
	private String taxFlag;

	// 是否推荐送修
	private Integer isRecommend4repair;

	// 推荐送修代码
	private String recommend4repairCode;

	// 是否新车
	private String isNewCar;

	// 是否外地车（相对上海）
	private Integer isForeignCar;

	// 行驶证车辆描述
	private String vehicleDescription;

	// 初次登记日期
	private Date firstRegistrationDate;

	// 实际使用年数
	private String actualYearsUsed;

	// 实际使用年数
	private String bodyColor;

	// 平均行驶里程
	private String averageMileages;

	// 新车购置价格
	private String priceNewcar;

	// 参考实际价值
	private String referencePrice;

	// 实际价值
	private String currentPrice;

	// 核定载载客数
	private String seatCapacity;

	// 核定载质量
	private String carryingCapacity;

	// 排量/功率
	private String dispacementPower;

	// 是否还清贷款1还清0未还清
	private String isPayoffLoan;

	// 强制保费年限
	private String tcDesignedAge;

	// 是否是过户车1为是0为否
	private String isTransfered;

	// 过户日期
	private Date tranferDate;

	// 核定载客量
	private String tradeCode;

	// 核定载客量
	private String passengersAprroved;

	// 整车质量
	private String weightFull;

	// 团单申报编码
	private String groupApplyCode;

	// 进口/国产类0进口1国产
	private Integer importDomesticType;

	// 指定查询区域
	private String specifyQueryArea;

	// 类比车型价格
	private String analogyModelPrice;

	// 购车发票日期
	private String purchaseInvoiceDate;

	// 交易方式
	private String transactionMode;

	// 是否新能源车
	private Integer isNewEnergyCar;

	// 车型别名
	private String aliasVehicle;

	// 创建时间
	private Date createdAt;

	// 创建人
	private Long createdBy;

	// 修改时间
	private Date updatedAt;

	// 修改人
	private Long updatedBy;

	/** ?? 编号id,???? ag_po_quotation_vehicle.id */
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name="id")
	public Long getId(){
		return this.id;
	}
	/** ?? 编号id,???? ag_po_quotation_vehicle.id */
	public void setId(Long id){
		this.id = id;
	}
	/** ?? 车牌号,???? ag_po_quotation_vehicle.car_name */
	@Column(name="car_name")
	public String getCarName(){
		return this.carName;
	}
	/** ?? 车牌号,???? ag_po_quotation_vehicle.car_name */
	public void setCarName(String carName){
		this.carName = carName;
	}
	/** ?? 车牌号,???? ag_po_quotation_vehicle.plate_no */
	@Column(name="plate_no")
	public String getPlateNo(){
		return this.plateNo;
	}
	/** ?? 车牌号,???? ag_po_quotation_vehicle.plate_no */
	public void setPlateNo(String plateNo){
		this.plateNo = plateNo;
	}
	/** ?? 发动机号,???? ag_po_quotation_vehicle.engine_no */
	@Column(name="engine_no")
	@Convert(converter = com.ajb.common.utils.encryption.JPACryptoConverter.class)
	public String getEngineNo(){
		return this.engineNo;
	}
	/** ?? 发动机号,???? ag_po_quotation_vehicle.engine_no */
	public void setEngineNo(String engineNo){
		this.engineNo = engineNo;
	}
	/** ?? VIN编号,???? ag_po_quotation_vehicle.vin_no */
	@Column(name="vin_no")
	@Convert(converter = com.ajb.common.utils.encryption.JPACryptoConverter.class)
	public String getVinNo(){
		return this.vinNo;
	}
	/** ?? VIN编号,???? ag_po_quotation_vehicle.vin_no */
	public void setVinNo(String vinNo){
		this.vinNo = vinNo;
	}
	/** ?? 车架号,???? ag_po_quotation_vehicle.frame_number */
	@Column(name="frame_number")
	@Convert(converter = com.ajb.common.utils.encryption.JPACryptoConverter.class)
	public String getFrameNumber(){
		return this.frameNumber;
	}
	/** ?? 车架号,???? ag_po_quotation_vehicle.frame_number */
	public void setFrameNumber(String frameNumber){
		this.frameNumber = frameNumber;
	}
	/** ?? 品牌ID,???? ag_po_quotation_vehicle.brand_id */
	@Column(name="brand_id")
	public Long getBrandId(){
		return this.brandId;
	}
	/** ?? 品牌ID,???? ag_po_quotation_vehicle.brand_id */
	public void setBrandId(Long brandId){
		this.brandId = brandId;
	}
	/** ?? 品牌,???? ag_po_quotation_vehicle.brand */
	@Column(name="brand")
	public String getBrand(){
		return this.brand;
	}
	/** ?? 品牌,???? ag_po_quotation_vehicle.brand */
	public void setBrand(String brand){
		this.brand = brand;
	}
	/** ?? 品牌,???? ag_po_quotation_vehicle.brand_code */
	@Column(name="brand_code")
	public String getBrandCode(){
		return this.brandCode;
	}
	/** ?? 品牌,???? ag_po_quotation_vehicle.brand_code */
	public void setBrandCode(String brandCode){
		this.brandCode = brandCode;
	}
	/** ?? 品牌制造商Id,???? ag_po_quotation_vehicle.brandmake_id */
	@Column(name="brandmake_id")
	public Long getBrandmakeId(){
		return this.brandmakeId;
	}
	/** ?? 品牌制造商Id,???? ag_po_quotation_vehicle.brandmake_id */
	public void setBrandmakeId(Long brandmakeId){
		this.brandmakeId = brandmakeId;
	}
	/** ?? 品牌制造商,???? ag_po_quotation_vehicle.brandmake */
	@Column(name="brandmake")
	public String getBrandmake(){
		return this.brandmake;
	}
	/** ?? 品牌制造商,???? ag_po_quotation_vehicle.brandmake */
	public void setBrandmake(String brandmake){
		this.brandmake = brandmake;
	}
	/** ?? 品牌型号id,???? ag_po_quotation_vehicle.brandmake_model_id */
	@Column(name="brandmake_model_id")
	public Long getBrandmakeModelId(){
		return this.brandmakeModelId;
	}
	/** ?? 品牌型号id,???? ag_po_quotation_vehicle.brandmake_model_id */
	public void setBrandmakeModelId(Long brandmakeModelId){
		this.brandmakeModelId = brandmakeModelId;
	}
	/** ?? 品牌型号,???? ag_po_quotation_vehicle.brandmake_model */
	@Column(name="brandmake_model")
	public String getBrandmakeModel(){
		return this.brandmakeModel;
	}
	/** ?? 品牌型号,???? ag_po_quotation_vehicle.brandmake_model */
	public void setBrandmakeModel(String brandmakeModel){
		this.brandmakeModel = brandmakeModel;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.vehicle_brand */
	@Column(name="vehicle_brand")
	public String getVehicleBrand(){
		return this.vehicleBrand;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.vehicle_brand */
	public void setVehicleBrand(String vehicleBrand){
		this.vehicleBrand = vehicleBrand;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.manufacturer */
	@Column(name="manufacturer")
	public String getManufacturer(){
		return this.manufacturer;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.manufacturer */
	public void setManufacturer(String manufacturer){
		this.manufacturer = manufacturer;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_character_number */
	@Column(name="model_character_number")
	public String getModelCharacterNumber(){
		return this.modelCharacterNumber;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_character_number */
	public void setModelCharacterNumber(String modelCharacterNumber){
		this.modelCharacterNumber = modelCharacterNumber;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_id_code */
	@Column(name="model_id_code")
	public String getModelIdCode(){
		return this.modelIdCode;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_id_code */
	public void setModelIdCode(String modelIdCode){
		this.modelIdCode = modelIdCode;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_number */
	@Column(name="model_number")
	public String getModelNumber(){
		return this.modelNumber;
	}
	/** ?? 车辆名称/品牌,???? ag_po_quotation_vehicle.model_number */
	public void setModelNumber(String modelNumber){
		this.modelNumber = modelNumber;
	}
	/** ?? 车辆名称/品牌 ,???? ag_po_quotation_vehicle.vehicle_name */
	@Column(name="vehicle_name")
	public String getVehicleName(){
		return this.vehicleName;
	}
	/** ?? 车辆名称/品牌 ,???? ag_po_quotation_vehicle.vehicle_name */
	public void setVehicleName(String vehicleName){
		this.vehicleName = vehicleName;
	}
	/** ?? 车辆名称/品牌 代码,???? ag_po_quotation_vehicle.vehicle_code */
	@Column(name="vehicle_code")
	public String getVehicleCode(){
		return this.vehicleCode;
	}
	/** ?? 车辆名称/品牌 代码,???? ag_po_quotation_vehicle.vehicle_code */
	public void setVehicleCode(String vehicleCode){
		this.vehicleCode = vehicleCode;
	}
	/** ?? 行业编码,???? ag_po_quotation_vehicle.industry_vehicle_code */
	@Column(name="industry_vehicle_code")
	public String getIndustryVehicleCode(){
		return this.industryVehicleCode;
	}
	/** ?? 行业编码,???? ag_po_quotation_vehicle.industry_vehicle_code */
	public void setIndustryVehicleCode(String industryVehicleCode){
		this.industryVehicleCode = industryVehicleCode;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.ownership_type_id */
	@Column(name="ownership_type_id")
	public Long getOwnershipTypeId(){
		return this.ownershipTypeId;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.ownership_type_id */
	public void setOwnershipTypeId(Long ownershipTypeId){
		this.ownershipTypeId = ownershipTypeId;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.ownership_type */
	@Column(name="ownership_type")
	public String getOwnershipType(){
		return this.ownershipType;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.ownership_type */
	public void setOwnershipType(String ownershipType){
		this.ownershipType = ownershipType;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.owner */
	@Column(name="owner")
	public String getOwner(){
		return this.owner;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.owner */
	public void setOwner(String owner){
		this.owner = owner;
	}
	/** ?? 国际,???? ag_po_quotation_vehicle.owner_nature */
	@Column(name="owner_nature")
	public String getOwnerNature(){
		return this.ownerNature;
	}
	/** ?? 国际,???? ag_po_quotation_vehicle.owner_nature */
	public void setOwnerNature(String ownerNature){
		this.ownerNature = ownerNature;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.owner_certi_type */
	@Column(name="owner_certi_type")
	public String getOwnerCertiType(){
		return this.ownerCertiType;
	}
	/** ?? 所属性质ag_md_vehicle_dictionary表Ownership Type,???? ag_po_quotation_vehicle.owner_certi_type */
	public void setOwnerCertiType(String ownerCertiType){
		this.ownerCertiType = ownerCertiType;
	}
	/** ?? 证件号,???? ag_po_quotation_vehicle.owner_certi_code */
	@Column(name="owner_certi_code")
	@Convert(converter = com.ajb.common.utils.encryption.JPACryptoConverter.class)
	public String getOwnerCertiCode(){
		return this.ownerCertiCode;
	}
	/** ?? 证件号,???? ag_po_quotation_vehicle.owner_certi_code */
	public void setOwnerCertiCode(String ownerCertiCode){
		this.ownerCertiCode = ownerCertiCode;
	}
	/** ?? 机动车种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_category_id */
	@Column(name="vehicle_category_id")
	public Long getVehicleCategoryId(){
		return this.vehicleCategoryId;
	}
	/** ?? 机动车种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_category_id */
	public void setVehicleCategoryId(Long vehicleCategoryId){
		this.vehicleCategoryId = vehicleCategoryId;
	}
	/** ?? 机动车种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_category */
	@Column(name="vehicle_category")
	public String getVehicleCategory(){
		return this.vehicleCategory;
	}
	/** ?? 机动车种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_category */
	public void setVehicleCategory(String vehicleCategory){
		this.vehicleCategory = vehicleCategory;
	}
	/** ?? 车辆用途,???? ag_po_quotation_vehicle.vehicle_use_type */
	@Column(name="vehicle_use_type")
	public String getVehicleUseType(){
		return this.vehicleUseType;
	}
	/** ?? 车辆用途,???? ag_po_quotation_vehicle.vehicle_use_type */
	public void setVehicleUseType(String vehicleUseType){
		this.vehicleUseType = vehicleUseType;
	}
	/** ?? 驾驶区域ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.drive_area_id */
	@Column(name="drive_area_id")
	public Long getDriveAreaId(){
		return this.driveAreaId;
	}
	/** ?? 驾驶区域ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.drive_area_id */
	public void setDriveAreaId(Long driveAreaId){
		this.driveAreaId = driveAreaId;
	}
	/** ?? 驾驶区域ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.drive_area */
	@Column(name="drive_area")
	public String getDriveArea(){
		return this.driveArea;
	}
	/** ?? 驾驶区域ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.drive_area */
	public void setDriveArea(String driveArea){
		this.driveArea = driveArea;
	}
	/** ?? 车牌类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.license_type_id */
	@Column(name="license_type_id")
	public Long getLicenseTypeId(){
		return this.licenseTypeId;
	}
	/** ?? 车牌类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.license_type_id */
	public void setLicenseTypeId(Long licenseTypeId){
		this.licenseTypeId = licenseTypeId;
	}
	@Column(name="license_type")
	public String getLicenseType(){
		return this.licenseType;
	}
	public void setLicenseType(String licenseType){
		this.licenseType = licenseType;
	}
	/** ?? 车辆种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_type_id */
	@Column(name="vehicle_type_id")
	public Long getVehicleTypeId(){
		return this.vehicleTypeId;
	}
	/** ?? 车辆种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.vehicle_type_id */
	public void setVehicleTypeId(Long vehicleTypeId){
		this.vehicleTypeId = vehicleTypeId;
	}
	/** ?? 车辆类型见ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.pm_vehicle_type_id */
	@Column(name="pm_vehicle_type_id")
	public Long getPmVehicleTypeId(){
		return this.pmVehicleTypeId;
	}
	/** ?? 车辆类型见ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.pm_vehicle_type_id */
	public void setPmVehicleTypeId(Long pmVehicleTypeId){
		this.pmVehicleTypeId = pmVehicleTypeId;
	}
	/** ?? 车辆类型见ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.pm_vehicle_type */
	@Column(name="pm_vehicle_type")
	public String getPmVehicleType(){
		return this.pmVehicleType;
	}
	/** ?? 车辆类型见ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.pm_vehicle_type */
	public void setPmVehicleType(String pmVehicleType){
		this.pmVehicleType = pmVehicleType;
	}
	/** ?? 车牌底色ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.plate_color_id */
	@Column(name="plate_color_id")
	public Long getPlateColorId(){
		return this.plateColorId;
	}
	/** ?? 车牌底色ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.plate_color_id */
	public void setPlateColorId(Long plateColorId){
		this.plateColorId = plateColorId;
	}
	/** ?? 车牌底色ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.plate_color */
	@Column(name="plate_color")
	public String getPlateColor(){
		return this.plateColor;
	}
	/** ?? 车牌底色ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.plate_color */
	public void setPlateColor(String plateColor){
		this.plateColor = plateColor;
	}
	/** ?? 平台品牌,???? ag_po_quotation_vehicle.platform_brand */
	@Column(name="platform_brand")
	public String getPlatformBrand(){
		return this.platformBrand;
	}
	/** ?? 平台品牌,???? ag_po_quotation_vehicle.platform_brand */
	public void setPlatformBrand(String platformBrand){
		this.platformBrand = platformBrand;
	}
	/** ?? 平台型号编码,???? ag_po_quotation_vehicle.platform_model_code */
	@Column(name="platform_model_code")
	@Convert(converter = com.ajb.common.utils.encryption.JPACryptoConverter.class)
	public String getPlatformModelCode(){
		return this.platformModelCode;
	}
	/** ?? 平台型号编码,???? ag_po_quotation_vehicle.platform_model_code */
	public void setPlatformModelCode(String platformModelCode){
		this.platformModelCode = platformModelCode;
	}
	/** ?? 燃料类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.fuel_type_id */
	@Column(name="fuel_type_id")
	public Long getFuelTypeId(){
		return this.fuelTypeId;
	}
	/** ?? 燃料类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.fuel_type_id */
	public void setFuelTypeId(Long fuelTypeId){
		this.fuelTypeId = fuelTypeId;
	}
	/** ?? 燃料类型,???? ag_po_quotation_vehicle.fuel_type */
	@Column(name="fuel_type")
	public String getFuelType(){
		return this.fuelType;
	}
	/** ?? 燃料类型,???? ag_po_quotation_vehicle.fuel_type */
	public void setFuelType(String fuelType){
		this.fuelType = fuelType;
	}
	/** ?? 车辆来历凭证种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.origin_certi_type_id */
	@Column(name="origin_certi_type_id")
	public Long getOriginCertiTypeId(){
		return this.originCertiTypeId;
	}
	/** ?? 车辆来历凭证种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.origin_certi_type_id */
	public void setOriginCertiTypeId(Long originCertiTypeId){
		this.originCertiTypeId = originCertiTypeId;
	}
	/** ?? 车辆来历凭证种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.origin_certi_type */
	@Column(name="origin_certi_type")
	public String getOriginCertiType(){
		return this.originCertiType;
	}
	/** ?? 车辆来历凭证种类ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.origin_certi_type */
	public void setOriginCertiType(String originCertiType){
		this.originCertiType = originCertiType;
	}
	/** ?? 使用性质ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.business_type_id */
	@Column(name="business_type_id")
	public Long getBusinessTypeId(){
		return this.businessTypeId;
	}
	/** ?? 使用性质ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.business_type_id */
	public void setBusinessTypeId(Long businessTypeId){
		this.businessTypeId = businessTypeId;
	}
	/** ?? 使用性质ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.business_type */
	@Column(name="business_type")
	public String getBusinessType(){
		return this.businessType;
	}
	/** ?? 使用性质ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.business_type */
	public void setBusinessType(String businessType){
		this.businessType = businessType;
	}
	/** ?? 纳税人类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_player_type_id */
	@Column(name="tax_player_type_id")
	public Long getTaxPlayerTypeId(){
		return this.taxPlayerTypeId;
	}
	/** ?? 纳税人类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_player_type_id */
	public void setTaxPlayerTypeId(Long taxPlayerTypeId){
		this.taxPlayerTypeId = taxPlayerTypeId;
	}
	/** ?? 纳税人类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_player_type */
	@Column(name="tax_player_type")
	public String getTaxPlayerType(){
		return this.taxPlayerType;
	}
	/** ?? 纳税人类型ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_player_type */
	public void setTaxPlayerType(String taxPlayerType){
		this.taxPlayerType = taxPlayerType;
	}
	/** ?? 减免税方案ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.derate_type_id */
	@Column(name="derate_type_id")
	public Long getDerateTypeId(){
		return this.derateTypeId;
	}
	/** ?? 减免税方案ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.derate_type_id */
	public void setDerateTypeId(Long derateTypeId){
		this.derateTypeId = derateTypeId;
	}
	/** ?? 减免税方案ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.derate_type */
	@Column(name="derate_type")
	public String getDerateType(){
		return this.derateType;
	}
	/** ?? 减免税方案ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.derate_type */
	public void setDerateType(String derateType){
		this.derateType = derateType;
	}
	/** ?? 完税状态ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_flag_id */
	@Column(name="tax_flag_id")
	public Long getTaxFlagId(){
		return this.taxFlagId;
	}
	/** ?? 完税状态ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_flag_id */
	public void setTaxFlagId(Long taxFlagId){
		this.taxFlagId = taxFlagId;
	}
	/** ?? 完税状态ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_flag */
	@Column(name="tax_flag")
	public String getTaxFlag(){
		return this.taxFlag;
	}
	/** ?? 完税状态ag_md_vehicle_dictionary表,???? ag_po_quotation_vehicle.tax_flag */
	public void setTaxFlag(String taxFlag){
		this.taxFlag = taxFlag;
	}
	/** ?? 是否推荐送修,???? ag_po_quotation_vehicle.is_recommend4repair */
	@Column(name="is_recommend4repair")
	public Integer getIsRecommend4repair(){
		return this.isRecommend4repair;
	}
	/** ?? 是否推荐送修,???? ag_po_quotation_vehicle.is_recommend4repair */
	public void setIsRecommend4repair(Integer isRecommend4repair){
		this.isRecommend4repair = isRecommend4repair;
	}
	/** ?? 推荐送修代码,???? ag_po_quotation_vehicle.recommend4repair_code */
	@Column(name="recommend4repair_code")
	public String getRecommend4repairCode(){
		return this.recommend4repairCode;
	}
	/** ?? 推荐送修代码,???? ag_po_quotation_vehicle.recommend4repair_code */
	public void setRecommend4repairCode(String recommend4repairCode){
		this.recommend4repairCode = recommend4repairCode;
	}
	/** ?? 是否新车,???? ag_po_quotation_vehicle.is_new_car */
	@Column(name="is_new_car")
	public String getIsNewCar(){
		return this.isNewCar;
	}
	/** ?? 是否新车,???? ag_po_quotation_vehicle.is_new_car */
	public void setIsNewCar(String isNewCar){
		this.isNewCar = isNewCar;
	}
	/** ?? 是否外地车（相对上海）,???? ag_po_quotation_vehicle.is_foreign_car */
	@Column(name="is_foreign_car")
	public Integer getIsForeignCar(){
		return this.isForeignCar;
	}
	/** ?? 是否外地车（相对上海）,???? ag_po_quotation_vehicle.is_foreign_car */
	public void setIsForeignCar(Integer isForeignCar){
		this.isForeignCar = isForeignCar;
	}
	/** ?? 行驶证车辆描述,???? ag_po_quotation_vehicle.vehicle_description */
	@Column(name="vehicle_description")
	public String getVehicleDescription(){
		return this.vehicleDescription;
	}
	/** ?? 行驶证车辆描述,???? ag_po_quotation_vehicle.vehicle_description */
	public void setVehicleDescription(String vehicleDescription){
		this.vehicleDescription = vehicleDescription;
	}
	/** ?? 初次登记日期,???? ag_po_quotation_vehicle.first_registration_date */
	@Column(name="first_registration_date")
	public Date getFirstRegistrationDate(){
		return this.firstRegistrationDate;
	}
	/** ?? 初次登记日期,???? ag_po_quotation_vehicle.first_registration_date */
	public void setFirstRegistrationDate(Date firstRegistrationDate){
		this.firstRegistrationDate = firstRegistrationDate;
	}
	/** ?? 实际使用年数,???? ag_po_quotation_vehicle.actual_years_used */
	@Column(name="actual_years_used")
	public String getActualYearsUsed(){
		return this.actualYearsUsed;
	}
	/** ?? 实际使用年数,???? ag_po_quotation_vehicle.actual_years_used */
	public void setActualYearsUsed(String actualYearsUsed){
		this.actualYearsUsed = actualYearsUsed;
	}
	/** ?? 实际使用年数,???? ag_po_quotation_vehicle.body_color */
	@Column(name="body_color")
	public String getBodyColor(){
		return this.bodyColor;
	}
	/** ?? 实际使用年数,???? ag_po_quotation_vehicle.body_color */
	public void setBodyColor(String bodyColor){
		this.bodyColor = bodyColor;
	}
	/** ?? 平均行驶里程,???? ag_po_quotation_vehicle.average_mileages */
	@Column(name="average_mileages")
	public String getAverageMileages(){
		return this.averageMileages;
	}
	/** ?? 平均行驶里程,???? ag_po_quotation_vehicle.average_mileages */
	public void setAverageMileages(String averageMileages){
		this.averageMileages = averageMileages;
	}
	/** ?? 新车购置价格,???? ag_po_quotation_vehicle.price_newcar */
	@Column(name="price_newcar")
	public String getPriceNewcar(){
		return this.priceNewcar;
	}
	/** ?? 新车购置价格,???? ag_po_quotation_vehicle.price_newcar */
	public void setPriceNewcar(String priceNewcar){
		this.priceNewcar = priceNewcar;
	}
	/** ?? 参考实际价值,???? ag_po_quotation_vehicle.reference_price */
	@Column(name="reference_price")
	public String getReferencePrice(){
		return this.referencePrice;
	}
	/** ?? 参考实际价值,???? ag_po_quotation_vehicle.reference_price */
	public void setReferencePrice(String referencePrice){
		this.referencePrice = referencePrice;
	}
	/** ?? 实际价值,???? ag_po_quotation_vehicle.current_price */
	@Column(name="current_price")
	public String getCurrentPrice(){
		return this.currentPrice;
	}
	/** ?? 实际价值,???? ag_po_quotation_vehicle.current_price */
	public void setCurrentPrice(String currentPrice){
		this.currentPrice = currentPrice;
	}
	/** ?? 核定载载客数,???? ag_po_quotation_vehicle.seat_capacity */
	@Column(name="seat_capacity")
	public String getSeatCapacity(){
		return this.seatCapacity;
	}
	/** ?? 核定载载客数,???? ag_po_quotation_vehicle.seat_capacity */
	public void setSeatCapacity(String seatCapacity){
		this.seatCapacity = seatCapacity;
	}
	/** ?? 核定载质量,???? ag_po_quotation_vehicle.carrying_capacity */
	@Column(name="carrying_capacity")
	public String getCarryingCapacity(){
		return this.carryingCapacity;
	}
	/** ?? 核定载质量,???? ag_po_quotation_vehicle.carrying_capacity */
	public void setCarryingCapacity(String carryingCapacity){
		this.carryingCapacity = carryingCapacity;
	}
	/** ?? 排量/功率,???? ag_po_quotation_vehicle.dispacement_power */
	@Column(name="dispacement_power")
	public String getDispacementPower(){
		return this.dispacementPower;
	}
	/** ?? 排量/功率,???? ag_po_quotation_vehicle.dispacement_power */
	public void setDispacementPower(String dispacementPower){
		this.dispacementPower = dispacementPower;
	}
	/** ?? 是否还清贷款1还清0未还清,???? ag_po_quotation_vehicle.is_payoff_loan */
	@Column(name="is_payoff_loan")
	public String getIsPayoffLoan(){
		return this.isPayoffLoan;
	}
	/** ?? 是否还清贷款1还清0未还清,???? ag_po_quotation_vehicle.is_payoff_loan */
	public void setIsPayoffLoan(String isPayoffLoan){
		this.isPayoffLoan = isPayoffLoan;
	}
	/** ?? 强制保费年限,???? ag_po_quotation_vehicle.tc_designed_age */
	@Column(name="tc_designed_age")
	public String getTcDesignedAge(){
		return this.tcDesignedAge;
	}
	/** ?? 强制保费年限,???? ag_po_quotation_vehicle.tc_designed_age */
	public void setTcDesignedAge(String tcDesignedAge){
		this.tcDesignedAge = tcDesignedAge;
	}
	/** ?? 是否是过户车1为是0为否,???? ag_po_quotation_vehicle.is_transfered */
	@Column(name="is_transfered")
	public String getIsTransfered(){
		return this.isTransfered;
	}
	/** ?? 是否是过户车1为是0为否,???? ag_po_quotation_vehicle.is_transfered */
	public void setIsTransfered(String isTransfered){
		this.isTransfered = isTransfered;
	}
	/** ?? 过户日期,???? ag_po_quotation_vehicle.tranfer_date */
	@Column(name="tranfer_date")
	public Date getTranferDate(){
		return this.tranferDate;
	}
	/** ?? 过户日期,???? ag_po_quotation_vehicle.tranfer_date */
	public void setTranferDate(Date tranferDate){
		this.tranferDate = tranferDate;
	}
	/** ?? 核定载客量,???? ag_po_quotation_vehicle.trade_code */
	@Column(name="trade_code")
	public String getTradeCode(){
		return this.tradeCode;
	}
	/** ?? 核定载客量,???? ag_po_quotation_vehicle.trade_code */
	public void setTradeCode(String tradeCode){
		this.tradeCode = tradeCode;
	}
	/** ?? 核定载客量,???? ag_po_quotation_vehicle.passengers_aprroved */
	@Column(name="passengers_aprroved")
	public String getPassengersAprroved(){
		return this.passengersAprroved;
	}
	/** ?? 核定载客量,???? ag_po_quotation_vehicle.passengers_aprroved */
	public void setPassengersAprroved(String passengersAprroved){
		this.passengersAprroved = passengersAprroved;
	}
	/** ?? 整车质量,???? ag_po_quotation_vehicle.weight_full */
	@Column(name="weight_full")
	public String getWeightFull(){
		return this.weightFull;
	}
	/** ?? 整车质量,???? ag_po_quotation_vehicle.weight_full */
	public void setWeightFull(String weightFull){
		this.weightFull = weightFull;
	}
	/** ?? 团单申报编码,???? ag_po_quotation_vehicle.group_apply_code */
	@Column(name="group_apply_code")
	public String getGroupApplyCode(){
		return this.groupApplyCode;
	}
	/** ?? 团单申报编码,???? ag_po_quotation_vehicle.group_apply_code */
	public void setGroupApplyCode(String groupApplyCode){
		this.groupApplyCode = groupApplyCode;
	}
	/** ?? 进口/国产类0进口1国产,???? ag_po_quotation_vehicle.import_domestic_type */
	@Column(name="import_domestic_type")
	public Integer getImportDomesticType(){
		return this.importDomesticType;
	}
	/** ?? 进口/国产类0进口1国产,???? ag_po_quotation_vehicle.import_domestic_type */
	public void setImportDomesticType(Integer importDomesticType){
		this.importDomesticType = importDomesticType;
	}
	/** ?? 指定查询区域,???? ag_po_quotation_vehicle.specify_query_area */
	@Column(name="specify_query_area")
	public String getSpecifyQueryArea(){
		return this.specifyQueryArea;
	}
	/** ?? 指定查询区域,???? ag_po_quotation_vehicle.specify_query_area */
	public void setSpecifyQueryArea(String specifyQueryArea){
		this.specifyQueryArea = specifyQueryArea;
	}
	/** ?? 类比车型价格,???? ag_po_quotation_vehicle.analogy_model_price */
	@Column(name="analogy_model_price")
	public String getAnalogyModelPrice(){
		return this.analogyModelPrice;
	}
	/** ?? 类比车型价格,???? ag_po_quotation_vehicle.analogy_model_price */
	public void setAnalogyModelPrice(String analogyModelPrice){
		this.analogyModelPrice = analogyModelPrice;
	}
	/** ?? 购车发票日期,???? ag_po_quotation_vehicle.purchase_invoice_date */
	@Column(name="purchase_invoice_date")
	public String getPurchaseInvoiceDate(){
		return this.purchaseInvoiceDate;
	}
	/** ?? 购车发票日期,???? ag_po_quotation_vehicle.purchase_invoice_date */
	public void setPurchaseInvoiceDate(String purchaseInvoiceDate){
		this.purchaseInvoiceDate = purchaseInvoiceDate;
	}
	/** ?? 交易方式,???? ag_po_quotation_vehicle.transaction_mode */
	@Column(name="transaction_mode")
	public String getTransactionMode(){
		return this.transactionMode;
	}
	/** ?? 交易方式,???? ag_po_quotation_vehicle.transaction_mode */
	public void setTransactionMode(String transactionMode){
		this.transactionMode = transactionMode;
	}
	/** ?? 是否新能源车,???? ag_po_quotation_vehicle.is_new_energy_car */
	@Column(name="is_new_energy_car")
	public Integer getIsNewEnergyCar(){
		return this.isNewEnergyCar;
	}
	/** ?? 是否新能源车,???? ag_po_quotation_vehicle.is_new_energy_car */
	public void setIsNewEnergyCar(Integer isNewEnergyCar){
		this.isNewEnergyCar = isNewEnergyCar;
	}
	/** ?? 车型别名,???? ag_po_quotation_vehicle.alias_vehicle */
	@Column(name="alias_vehicle")
	public String getAliasVehicle(){
		return this.aliasVehicle;
	}
	/** ?? 车型别名,???? ag_po_quotation_vehicle.alias_vehicle */
	public void setAliasVehicle(String aliasVehicle){
		this.aliasVehicle = aliasVehicle;
	}
	/** ?? 创建时间,???? ag_po_quotation_vehicle.created_at */
	@Column(name="created_at")
	public Date getCreatedAt(){
		return this.createdAt;
	}
	/** ?? 创建时间,???? ag_po_quotation_vehicle.created_at */
	public void setCreatedAt(Date createdAt){
		this.createdAt = createdAt;
	}
	/** ?? 创建人,???? ag_po_quotation_vehicle.created_by */
	@Column(name="created_by")
	public Long getCreatedBy(){
		return this.createdBy;
	}
	/** ?? 创建人,???? ag_po_quotation_vehicle.created_by */
	public void setCreatedBy(Long createdBy){
		this.createdBy = createdBy;
	}
	/** ?? 修改时间,???? ag_po_quotation_vehicle.updated_at */
	@Column(name="updated_at")
	public Date getUpdatedAt(){
		return this.updatedAt;
	}
	/** ?? 修改时间,???? ag_po_quotation_vehicle.updated_at */
	public void setUpdatedAt(Date updatedAt){
		this.updatedAt = updatedAt;
	}
	/** ?? 修改人,???? ag_po_quotation_vehicle.updated_by */
	@Column(name="updated_by")
	public Long getUpdatedBy(){
		return this.updatedBy;
	}
	/** ?? 修改人,???? ag_po_quotation_vehicle.updated_by */
	public void setUpdatedBy(Long updatedBy){
		this.updatedBy = updatedBy;
	}
}